curl -G https://api.chargeapi.co/v1/reservations \
-H "Authorization: Bearer ch_sk_test_..." \
-d status=pending \
-d limit=10
{
"data": [
{
"id": "res_c4PukAee4b57fNPiS72AQjlnUq7lOzpx",
"object": "reservation",
"cancellation_policy": {
"free_until_before": 1800,
"type": "free_cancellation"
},
"charging_station": "chst_9hx85w7aepO1o2Ztt38CPmlLoFxQNDIE",
"confirmed_at": "2026-04-01T01:13:49.792Z",
"connector_type": ["CCS"],
"created": "2026-04-01T00:45:21.538Z",
"currency": "eur",
"driver": "drv_dQGu6UkRHzJjKB4vhFA4jtRSsbbbg0vJ",
"earliest_start": null,
"failed_reason": null,
"ideal_end": "2026-04-01T03:15:19.626Z",
"ideal_start": "2026-04-01T01:45:20.858Z",
"latest_end": null,
"location": {
"latitude": 48.8698,
"longitude": 2.3319,
"radius": 1500
},
"metadata": {},
"payment_method": "pm_m2NiRW0OqC9JUkocJUDcQGy27CAERWKi",
"reservation_fee": 1200,
"reserved_end": "2026-04-01T03:15:42.123Z",
"reserved_start": "2026-04-01T01:45:20.166Z",
"status": "pending",
"updated": "2026-04-01T01:19:37.903Z",
"vehicle": "veh_YzV09s3YRRpsV5anQzAlA6ZPwRi6KpiU"
}
],
"next_page_url": "https://api.chargeapi.co/v1/reservations?page=page_peAJoJjnwBV5pAguztZ0zgYfPOxOsHmnoCG6J63E85k&status=pending&limit=10",
"previous_page_url": null
}
Reservations
List Reservations
curl -G https://api.chargeapi.co/v1/reservations \
-H "Authorization: Bearer ch_sk_test_..." \
-d status=pending \
-d limit=10
{
"data": [
{
"id": "res_c4PukAee4b57fNPiS72AQjlnUq7lOzpx",
"object": "reservation",
"cancellation_policy": {
"free_until_before": 1800,
"type": "free_cancellation"
},
"charging_station": "chst_9hx85w7aepO1o2Ztt38CPmlLoFxQNDIE",
"confirmed_at": "2026-04-01T01:13:49.792Z",
"connector_type": ["CCS"],
"created": "2026-04-01T00:45:21.538Z",
"currency": "eur",
"driver": "drv_dQGu6UkRHzJjKB4vhFA4jtRSsbbbg0vJ",
"earliest_start": null,
"failed_reason": null,
"ideal_end": "2026-04-01T03:15:19.626Z",
"ideal_start": "2026-04-01T01:45:20.858Z",
"latest_end": null,
"location": {
"latitude": 48.8698,
"longitude": 2.3319,
"radius": 1500
},
"metadata": {},
"payment_method": "pm_m2NiRW0OqC9JUkocJUDcQGy27CAERWKi",
"reservation_fee": 1200,
"reserved_end": "2026-04-01T03:15:42.123Z",
"reserved_start": "2026-04-01T01:45:20.166Z",
"status": "pending",
"updated": "2026-04-01T01:19:37.903Z",
"vehicle": "veh_YzV09s3YRRpsV5anQzAlA6ZPwRi6KpiU"
}
],
"next_page_url": "https://api.chargeapi.co/v1/reservations?page=page_peAJoJjnwBV5pAguztZ0zgYfPOxOsHmnoCG6J63E85k&status=pending&limit=10",
"previous_page_url": null
}
Returns a paginated list of reservation objects. Results are sorted by creation date, with the most recent reservations first. You can filter by
status, driver, vehicle, or charging_station.
curl -G https://api.chargeapi.co/v1/reservations \
-H "Authorization: Bearer ch_sk_test_..." \
-d status=pending \
-d limit=10
{
"data": [
{
"id": "res_c4PukAee4b57fNPiS72AQjlnUq7lOzpx",
"object": "reservation",
"cancellation_policy": {
"free_until_before": 1800,
"type": "free_cancellation"
},
"charging_station": "chst_9hx85w7aepO1o2Ztt38CPmlLoFxQNDIE",
"confirmed_at": "2026-04-01T01:13:49.792Z",
"connector_type": ["CCS"],
"created": "2026-04-01T00:45:21.538Z",
"currency": "eur",
"driver": "drv_dQGu6UkRHzJjKB4vhFA4jtRSsbbbg0vJ",
"earliest_start": null,
"failed_reason": null,
"ideal_end": "2026-04-01T03:15:19.626Z",
"ideal_start": "2026-04-01T01:45:20.858Z",
"latest_end": null,
"location": {
"latitude": 48.8698,
"longitude": 2.3319,
"radius": 1500
},
"metadata": {},
"payment_method": "pm_m2NiRW0OqC9JUkocJUDcQGy27CAERWKi",
"reservation_fee": 1200,
"reserved_end": "2026-04-01T03:15:42.123Z",
"reserved_start": "2026-04-01T01:45:20.166Z",
"status": "pending",
"updated": "2026-04-01T01:19:37.903Z",
"vehicle": "veh_YzV09s3YRRpsV5anQzAlA6ZPwRi6KpiU"
}
],
"next_page_url": "https://api.chargeapi.co/v1/reservations?page=page_peAJoJjnwBV5pAguztZ0zgYfPOxOsHmnoCG6J63E85k&status=pending&limit=10",
"previous_page_url": null
}
Parameters
string
Filter reservations by charging station ID.
string
Filter reservations by driver ID.
integer
Maximum number of objects to return (default 10).
string
Page token from a previous list response.
string
Filter reservations by status.Available options:
pending, confirmed, completed, cancelled, failed, expiredstring
Filter reservations by vehicle ID.
Returns
Returns a page of reservations.array of object
required
Array of reservation objects.
string | null
required
URL for the next page of results, or
null when there is no next page.string | null
required
URL for the previous page of results, or
null when there is no previous page.
